package com.huigou.topsun.syncOrg.application;

import com.huigou.topsun.syncOrg.vo.EpOrgVo;
import com.huigou.topsun.syncOrg.vo.OrgPersonVo;
import com.huigou.topsun.syncOrg.vo.PersonVo;
import com.huigou.topsun.syncOrg.vo.SapPersonVo;
import com.huigou.uasp.bmp.opm.domain.model.org.Org;

import java.util.List;

/**
 * @Auther: xin.lu
 * @Date: 2024/03/25/9:27
 * @Description:
 */
public interface OrgSyncApplication {

    /**
     * 构建机构、部门、岗位、人员VO类
     * @return
     */
    public EpOrgVo buildOrgVo ();

    /**
     * 构建组织人员对应关系
     * @param psmList
     * @return
     */
    public List<OrgPersonVo> buildOrgPersonVo(List<Org> psmList);

    /**
     * 构架人员
     * @param psmList
     * @return
     */
    public List<PersonVo> buildPersonVo(List<Org> psmList);

    /**
     * 构建SAP人员
     * @return
     */
    public List<SapPersonVo> buildSapPersonVo();

    /**
     * 同步SAP人员
     */
    public void syncOrgToSap();
}
